document.getElementById('payForm').addEventListener('submit', function(event) {
  event.preventDefault();
  
  const hoursWorked = parseFloat(document.getElementById('hoursWorked').value);
  const hourlyRate = parseFloat(document.getElementById('hourlyRate').value);
  const overtimeHours = parseFloat(document.getElementById('overtimeHours').value) || 0;
  const overtimeRate = parseFloat(document.getElementById('overtimeRate').value) || 0;
  
  const regularPay = hoursWorked * hourlyRate;
  const overtimePay = overtimeHours * overtimeRate;
  const totalPay = regularPay + overtimePay;
  
  document.getElementById('totalPay').textContent = totalPay.toFixed(2);
});